Subject: Re: [PATCH] gitweb: recognize six digit abbreviated SHA1

From: Sam Vilain <[email-masked]>
Date: Wed, 14 Jan 2009 13:33:33 +1300

Junio C Hamano wrote:
> When people give an abbreviated object name, 99% of the time they mean
> commits (and "index deadbeef..acebead" in a patch is a good place to pick
> blob object names from, which would be what the 99% of the remaining 1%
> would name), so making sure it is a commit or a blob would be a very
> sensible thing to do.
>
> Unfortunately, you fundamentally cannot do this without taking a
> performance hit of actually opening the object.
>   

Yeah. I envisioned this just for those cases where the tool would
otherwise return 'ambiguous argument'; if there was a hint as to the
object type, open *all* the matching objects and return the one that
matched the type only.

Sam.